#
# spec file for package joe (Version 2.9.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         joe
Copyright:    GPL
Group:        Applications/Editors
Autoreqprov:  on
Version:      2.9.5
Release:      82
Summary:      A Text Editor
Source:       joe-%{version}.tar.gz
Patch0:       joe-%{version}.patch
Patch1:	      joe-%{version}-ia64.patch
Patch2:	      joe-%{version}-rc.patch
Patch3:	      joe-%{version}-resize.patch
Patch4:	      joe-%{version}-asis.patch
Patch5:	      joe-%{version}-undo.patch
BuildRoot:    /var/tmp/%{name}-build

%description
JOE (Joe's Own Editor) is a freeware ASCII editor for UNIX. Joe is similar to
most IBM PC text editors. The keyboard combinations are similar to  WordStar[tm]
and Turbo C. Some of Joe's features include:
-full support of termcap/terminfo
(useful for device independent description to control screen output).
-optimizing screen refresh even as GNU Emacs (Joe can even be used at 2400 baud).
-easy installation. All features for UNIX integration of the VI: a marked block of
text can be filtered through a UNIX command; and wherever JOE accepts a
filename parameter the following can also be substituted:
!command		:to redirect from/to another command
>>filename		:to append onto an existing file
filename,start,size	:to edit a part of a file/device
-			:to use standard input/output
When JOE has several files opened at the same time, each file is
displayed in its own window. Additionally, JOE allows for shell-windows
whereby the output of the executed commands are saved in a buffer,
automatic filename completion (via TAB), help windows, undo-redo,
search and replace using regular expressions.

Authors:
--------
    Joseph H. Allen <jhallen@world.std.com>

SuSE series: ap

%prep
%setup
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5

%build
make CFLAGS="$RPM_OPT_FLAGS -DUSE_LOCALE"

%install
rm -fr $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc INFO LIST README TODO VERSION copying ChangeLog
%doc %{_mandir}/man1/joe.1.gz
%config /etc/jmacsrc
%config /etc/joerc
%config /etc/jpicorc
%config /etc/jstarrc
%config /etc/rjoerc
/usr/bin/*

%changelog -n joe
* Thu Sep 13 2001 - pmladek@suse.cz
- added three patches from SourceForge, thanks to
  Koblinger Egmont <egmont@suselinux.hu> for hints
  * resize - solves pause after xterm resizing
  * asis - turns off -asis in the default config, as it
  is no longer needed
  * undo - solves a problem with undo and the "Modified" mark
  after many savings
* Fri Aug 10 2001 - pmladek@suse.cz
- downgraded to stable version 2.9.5
  * thanks to Koblinger Egmont <egmont@suselinux.hu> and
  his experiences
* Thu Jul 19 2001 - pmladek@suse.cz
- updated to version 2.9.6
- config files moved from /usr/lib to /etc
- cleaned up spec file
* Thu May 24 2001 - pmladek@suse.cz
- fixed cast warnings on ia64
- fixed to run on ia64:
  * argument of function isblank must have the value
  of an unsigned char or EOF but function brc returns
  sometimes MAXINT
* Fri Mar 30 2001 - uli@suse.de
- update -> 2.9.5 (all fixes are still there)
* Thu Mar 15 2001 - pblaha@suse.cz
- add build root
* Wed Mar 14 2001 - pblaha@suse.cz
- applied patch from Thomas Biege
- This patch protects a user to open a .joerc file,
- that doesn't belongs to him, in public writeable
- directories (like /tmp). Commands can be executed
- via .joerc.
* Fri Jun 23 2000 - nadvornik@suse.cz
- added locale patch
- sorted
* Fri May 19 2000 - schwab@suse.de
- conf.c: don't redeclare time on ia64
* Tue Apr 04 2000 - dipa@suse.de
- a patch that take the resizing of a X terminal into consideration
  +#include <sys/ioctl.h> in tty.c
* Thu Mar 02 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Sat Jul 24 1999 - garloff@suse.de
- Applied better security fix (w/o unlinking) from thomas@suse.de
* Tue Jul 20 1999 - garloff@suse.de
- Additionally added unlink("DEADJOE");
* Tue Jul 20 1999 - garloff@suse.de
- Checked in DEADJOE permissions security fix from thomas@suse.de
* Wed Feb 03 1999 - ro@suse.de
- conf.c: don't redeclare time on alpha
* Mon Nov 23 1998 - max@suse.de
- termcap support is broken with glibc2
  but ncurses seems to work now.
* Fri Sep 18 1998 - max@suse.de
- applied Home/End key fix from joe to the other *rc files
* Mon Aug 10 1998 - max@suse.de
- added some doc files to the file list
* Fri Dec 12 1997 - max@suse.de
- using terminfo again for bugfix reasons
* Tue Oct 28 1997 - max@suse.de
- cleaned up generated specfile
- configured for terminfo instead of termcap
- fixed the Home/End key bug
